Overview | Package | Class | Use | Tree | Deprecated | Index | Help
|  | BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WebLogic Server 8.1 API Reference

## weblogic.uddi.client.structures.datatypes
Class IdentifierBag

    java.lang.Object
      |
      +--weblogic.uddi.client.structures.datatypes.IdentifierBag

public class IdentifierBag
extends java.lang.Object

The identifierBag structure itself is a simple collection of keyed references.

Author:
  Copyright © 2004 BEA Systems, Inc. All Rights Reserved.

Constructor Summary
`IdentifierBag()` Class constructor.

Method Summary
`void` | `addKeyedReference(java.lang.String tModelKey, java.lang.String keyName, java.lang.String keyValue)` Adds a new keyed reference to the set of keyed references.
`java.util.Vector` | `getKeyedReferenceVector()` Gets the set of keyed refereneces.
`void` | `setKeyedReferenceVector(java.util.Vector v)` Sets the set of keyed refereneces.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### IdentifierBag

    public IdentifierBag()

  Class constructor.

Method Detail

### getKeyedReferenceVector

    public java.util.Vector getKeyedReferenceVector()

  Gets the set of keyed refereneces.

  Returns:
    the current set of keyed refereneces.

### setKeyedReferenceVector

    public void setKeyedReferenceVector(java.util.Vector v)

  Sets the set of keyed refereneces.

  Parameters:
    `v` - the new set of keyed refereneces.

### addKeyedReference

    public void addKeyedReference(java.lang.String tModelKey,
                                  java.lang.String keyName,
                                  java.lang.String keyValue)

  Adds a new keyed reference to the set of keyed references.

  Parameters:
    `tModelKey` - tModel key of the new keyed reference.
    `keyName` - key name of the new keyed reference.
    `keyValue` - key value of the new keyed reference.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Documentation is available at http://e-docs.bea.com/wls/docs81
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD